POST /api/v3/weatherstation/import

Imports mean daily temperature readings for weather stations connected to EnergyCAP weather services

ImportWeatherDataV3 Permissions: WeatherSettings (Manage)
Use this endpoint to import or backfill weather data. By default (no parameters), imports for all “used” weather stations (those with at least one building assigned) from 31 days ago through today. Provide a begin date to go further back in history. Provide specific weather station codes to import for particular stations even if they are not yet used. Existing readings in the date range are overwritten. If a weather station has no readings at all, history is imported from 1899-12-31.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

WeatherImportSettings
Property Description Type
beginDate The begin date for the weather data Readings will be imported from this date through the current date If omitted or empty, weather data will be imported for the past 31 days string (date-time)
weatherStationCodes List of weather station codes for which to import data If omitted or empty, weather data will be imported for all weather stations which are assigned to buildings string[]
Example Request Body application/json
{  "beginDate": "2026-06-29",  "weatherStationCodes": [
    "string"
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WeatherImportResult
Property Description Type
beginDate The begin date of the weather data that was imported string (date-time)
endDate The end date of the weather data that was imported string (date-time)
weatherStationSummaries List of weather stations and the number of readings that were imported for each WeatherStationSummary[]
WeatherStationSummary properties
Property Description Type
baseWeatherStationCode Source weather station code (if any) string
beginDate Begin date for this weather station May differ from the begin date provided by the user if the most recent weather reading for this station was earlier. string (date-time)
channelCode Channel code string
channelId Channel ID integer (int32)
channelIntervalInSeconds Channel interval in seconds integer (int32)
earliestReadingDate Earliest reading date imported for this weather station May differ from the begin date provided by the user if the most recent weather reading available for this station was later. string (date-time)
numberOfFailedReadings Number of readings failed to import integer (int32)
numberOfReadingsImported Number of readings imported integer (int32)
weatherStationCode Weather station code string
weatherStationId Weather station ID integer (int32)
weatherStationName Weather station name string
Example Response application/json
{  "beginDate": "2026-06-29",  "endDate": "2026-06-29",  "weatherStationSummaries": [
    {    "baseWeatherStationCode": "string",    "beginDate": "2026-06-29",    "channelCode": "string",    "channelId": 1,    "channelIntervalInSeconds": 1,    "earliestReadingDate": "2026-06-29",    "numberOfFailedReadings": 1,    "numberOfReadingsImported": 1,    "weatherStationCode": "string",    "weatherStationId": 1,    "weatherStationName": "string"
  }
  ]
}